php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #13416 Compile errors on make of Apache 1.3.20, PHP & MySLQ Last Version
Submitted: 2001-09-24 12:05 UTC Modified: 2001-09-24 12:45 UTC
From: zonzon at zonzon dot yi dot org Assigned:
Status: Not a bug Package: MySQL related
PHP Version: 4.0.6 OS: Slackware 8.0 2.2.19 Kernel
Private report: No CVE-ID: None
 [2001-09-24 12:05 UTC] zonzon at zonzon dot yi dot org
hello,
I don't know if this compile bug is caused by mysql libraries or apache or php. I've always used the same configure flags to compile my apache + mysql + php on my others linux & freebsd servers and it works fine. Do you know the cause of this error?

Thanx a lot
Bruno Lavoie
zonzon@zonzon.yi.org

<=== src/modules/php4
<=== src/modules
gcc -c  -I./os/unix -I./include   -DLINUX=22 -I/root/php-4.0.6 -I/root/php-4.0.6/main -I/root/php-4.0.6/main -I
/root/php-4.0.6/Zend -I/root/php-4.0.6/Zend -I/root/php-4.0.6/TSRM -I/root/php-4.0.6/TSRM -I/root/php-4.0.6 -DU
SE_EXPAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci` modules.c
gcc -c  -I./os/unix -I./include   -DLINUX=22 -I/root/php-4.0.6 -I/root/php-4.0.6/main -I/root/php-4.0.6/main -I
/root/php-4.0.6/Zend -I/root/php-4.0.6/Zend -I/root/php-4.0.6/TSRM -I/root/php-4.0.6/TSRM -I/root/php-4.0.6 -DU
SE_EXPAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci` buildmark.c
gcc  -DLINUX=22 -I/root/php-4.0.6 -I/root/php-4.0.6/main -I/root/php-4.0.6/main -I/root/php-4.0.6/Zend -I/root/
php-4.0.6/Zend -I/root/php-4.0.6/TSRM -I/root/php-4.0.6/TSRM -I/root/php-4.0.6 -DUSE_EXPAT -I./lib/expat-lite -
DNO_DL_NEEDED `./apaci`    \
      -o httpd buildmark.o modules.o modules/standard/libstandard.a modules/php4/libphp4.a main/libmain.a ./os/
unix/libos.a ap/libap.a  lib/expat-lite/libexpat.a  -Wl,-rpath,/usr/local/lib -Wl,-rpath,/usr/local/mysql/lib
-rdynamic -L/usr/local/lib -L/usr/local/mysql/lib -Lmodules/php4 -L../modules/php4 -L../../modules/php4 -lmodph
p4  -lc-client  -ldl -lmysqlclient -lcrypt -lresolv -lm -ldl -lnsl  -lresolv   -lm -lcrypt
/usr/local/mysql/lib/libmysqlclient.a(my_compress.o): In function `my_uncompress':
my_compress.o(.text+0x9a): undefined reference to `uncompress'
/usr/local/mysql/lib/libmysqlclient.a(my_compress.o): In function `my_compress_alloc':
my_compress.o(.text+0x12a): undefined reference to `compress'
collect2: ld returned 1 exit status
make[2]: *** [target_static] Error 1
make[2]: Leaving directory `/root/apache_1.3.20/src'
make[1]: *** [build-std] Error 2
make[1]: Leaving directory `/root/apache_1.3.20'
make: *** [build] Error 2

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-09-24 12:45 UTC] derick@php.net
Already fixed, for 4.0.6, use --with-zlib to your configure line.

Derick
 
PHP Copyright © 2001-2024 The PHP Group
All rights reserved.
Last updated: Wed Feb 21 06:01:29 2024 UTC